package nl.utwente.mod4.pokemon.routes;

import jakarta.ws.rs.*;
import jakarta.ws.rs.core.MediaType;
import jakarta.ws.rs.core.Response;
import nl.utwente.mod4.pokemon.dao.PokemonTypeDao;
import nl.utwente.mod4.pokemon.model.PokemonType;

import java.io.IOException;
import java.util.List;

@Path("/pokemonTypes")
public class PokemonTypeRoute {

    @GET
    @Path("/")
    @Produces(MediaType.APPLICATION_JSON)
    public List<PokemonType> getPokemon() {
        try {
            return new PokemonTypeDao().loadPokemonType();
        } catch (IOException e) {
            throw new ServerErrorException(Response.status(500).build());
        }
    }

//    @POST
//    @Path("/")
//    @Produces(MediaType.APPLICATION_JSON)
//    @Consumes(MediaType.APPLICATION_JSON)
//    public String createPokemon() {
//        return "Returning all pokemon types.";
//    }

    @GET
    @Path("/{id}")
    @Produces(MediaType.APPLICATION_JSON)
    public nl.utwente.mod4.pokemon.model.PokemonType getPokemon(@PathParam("id") String id) {
        var pokemon = new nl.utwente.mod4.pokemon.model.PokemonType();
        pokemon.id = id;
        return pokemon;
    }
}